org.apache.hadoop.hdfs.server.diskbalancer.connectors

## Class ConnectorFactory

- java.lang.Object
- - org.apache.hadoop.hdfs.server.diskbalancer.connectors.ConnectorFactory

-     public final class ConnectorFactory
      extends Object

  Connector factory creates appropriate connector based on the URL.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusterConnector` | `getCluster(URI clusterURI, org.apache.hadoop.conf.Configuration conf)` Constructs an appropriate connector based on the URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCluster

          public static ClusterConnector getCluster(URI clusterURI,
                                                    org.apache.hadoop.conf.Configuration conf)
                                             throws IOException,
                                                    URISyntaxException

      Constructs an appropriate connector based on the URL.
      Parameters:
        `clusterURI` - - URL
      Returns:
        ClusterConnector
      Throws:
        `IOException`
        `URISyntaxException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.